gcalctool has problem with big sums

Bug #202210 reported by Jonathan Ernst on 2008-03-14
104
Affects Status Importance Assigned to Milestone
GCalctool
Expired
High
gcalctool (Ubuntu)
Low
Ubuntu Desktop Bugs
Hardy
Undecided
Unassigned
Intrepid
Low
Ubuntu Desktop Bugs

Bug Description

How to reproduce :

1) Open gnome-calculator
2) Type 10000+10000+10000+10000+1000+1000

Results:

You don't see the result unless you resize the window (make it wider).

Marcelo Briones (margori) wrote :

I try to reproduce this bug typing 10000+10000+10000+10000+1000+1000 with result 42000, without trouble.

I'm using gcalctool 5.21.95.

gcalctool can be resized.

Changed in gcalctool:
status: New → Incomplete
Jonathan Ernst (jonathan.ernst) wrote :

I'm using gcalctool 5.22

Please see screenshots (you have to enter the sum in one time (you only type enter once))

Jonathan Ernst (jonathan.ernst) wrote :
Pedro Villavicencio (pedro) wrote :

confirming with hardy, will look upstream thanks for reporting.

Changed in gcalctool:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: Incomplete → Confirmed
Pedro Villavicencio (pedro) wrote :

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: http://bugzilla.gnome.org/show_bug.cgi?id=522477

Changed in gcalctool:
status: Confirmed → Triaged
Changed in gcalctool:
status: Unknown → New

Confirmed with Hardy Heron with sequences, which have plenty digits as these two:
100+369-65-32+99+56-35+23+56, or
250+20+33,50+30+10+5+30,85+11,73

HorizonXP (xitij-patel) wrote :

I just filed a similar bug report, 216689. Might want to mark it duplicate or something. Unless they're different somehow.

Oleg Vaskevich (olegv) wrote :

When using big numbers, the value is just incorrectly aligned. Copying and pasting works correctly, it's just a big moved to the right for some reason. Really annoying, please fix this before Hardy Final Release.

What good is an operating system of even the calculator doesn't function correctly!?

Grzegorz (gregers) wrote :

Trying to calculate sum consisted of 19 fields, and after pressing '=' the display is empty.

Annoying.

George Dominguez (mgml01) wrote :

I'm using gcalctool 5.22.2 and this morning I experienced this issue. Unfortunately I did not know about the resize and lost all my calcs.

the first time I experienced this, the decimal value was truncated and I was just lucky to notice that the calculation couldn't have resulted in a whole number. This means the calculator returned the *wrong value*. Seems like a pretty serious error for a calculator to make.
just my $.02

Pedro Villavicencio (pedro) wrote :

Changing the importance of the bug wouldn't make a difference, upstream known the issue is there and it's going to be handled for them, however you if you want to see this fixed right away you can always submit patches to the upstream report or here and we can forward it to the upstream one, thanks.

Upstream still has the bug as "unconfirmed".

I agree the whinging doesn't fix anything but surely Ubuntu must have some resources they can use to help upstream get it fixed. Having something as basic as a calculator not work is hardly going to inspire confidence a the desktop. I love my wobbly windows but what is the point if basic functionality is being left to rot?

Sebastien Bacher (seb128) wrote :

> Ubuntu must have some resources they can use

not really no, GNOME in Ubuntu is maintained by one package, one triager and some contributors, the team has thousand of bugs assigned and need to update the hardy and intrepid desktop and work on the issues there, that's really a lot to do and the team has already difficulties to read the hundred bug mails sent every week and work on important issues

Hello, I experienced the trouble with hardy and gcalctool 5.22.2.
Furthermore, I believe I found how to reproduced the issue systematicaly and the workaround:
As soon as the operation (sum or other operands, decimal values or not) is greater than the larger of the display (the scroll bar then appears), the result will be blank.
This behavior appears with all modes (basic, financial...) and the workaround is to either resize the window, of changing the mode without resizing.

Changed in gcalctool:
status: New → Confirmed
Jaime Carpenter (j.carpenter) wrote :

I am having a similar problem. The result of a large string of numbers added together does not display once "enter" is pressed. The result can be seen by maximizing/restoring the window.

gcalctool 5.2.2

This problem also presents itself at maximized 1280x800 resolution when the series of numbers is larger than the display area and causes a scroll bar to appear. Pressing enter after the scroll bar, will not show the proper result, but restoring the window will correct the display.

Binoy (mailbinoyv) wrote :

i can reproduce this bug on hardy. instead of resizing you can also press delete key on your keyboard to make the result show up.
I use the calculator a lot and this is obviously very annoying

Pedro Villavicencio (pedro) wrote :

the bug is on Triaged status and it has been sent upstream so no need to re-confirm the bug again and again, please only add comments if you have more information that can help the bug to get fixed, thanks.

Martin Pitt (pitti) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gcalctool:
status: New → Fix Committed

I have tested the -proposed package and it fixes the problem for me with no obvious regressions.

Thanks.

I installed the proposed package (version 5.22.3) and tested in the 4 modes.
The bug has been fixed and everything seems working fine with no regression.
Thanks.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcalctool - 5.23.5-0ubuntu1

---------------
gcalctool (5.23.5-0ubuntu1) intrepid; urgency=low

  * New upstream version (LP: #250766)
    - Fix pb with big sums (LP: #202210)

 -- Christophe Sauthier <email address hidden> Tue, 22 Jul 2008 12:14:09 +0200

Changed in gcalctool:
status: Triaged → Fix Released
Pedro Villavicencio (pedro) wrote :

Verification done:

- test with gcalctool 5.22.2-0ubuntu1 after type 10000+10000+10000+10000+1000+1000 and pressing = the result is not show in the gcalctool window, instead you get a blank result.
- test with gcalctool 5.22.3-0ubuntu0.1 after type 10000+10000+10000+10000+1000+1000 and pressing = the result is now show in the gcalctool window, the bug is fixed, thanks.

Martin Pitt (pitti) wrote :

Copied to hardy-updates.

Changed in gcalctool:
status: Fix Committed → Fix Released

Tested, it all works

Good Job!

On Thu, 2008-07-31 at 08:28 +0000, Martin Pitt wrote:

> Copied to hardy-updates.
>
> ** Changed in: gcalctool (Ubuntu Hardy)
> Status: Fix Committed => Fix Released
>

deetee (jdeetee) wrote :

is it still in hardy-updates?
i'm seeing 5.22.3 - is it meant to be 5.23.5?
if i've got the right version. i've perhaps got another bug to report (1000+1000+1000+1000+1000+1000=60!)

Pedro Villavicencio (pedro) wrote :

deetee that is not the same bug you should open a new one rather, thanks.

George Dominguez (mgml01) wrote :

I tested and it works fine for me with gcalctool 5.22.3.
(1000+1000+1000+1000+1000+1000=6000)

On Sun, 2008-09-28 at 13:54 +0000, deetee wrote:

> is it still in hardy-updates?
> i'm seeing 5.22.3 - is it meant to be 5.23.5?
> if i've got the right version. i've perhaps got another bug to report (1000+1000+1000+1000+1000+1000=60!)
>

George Dominguez (mgml01) wrote :

On Tuesday 30 September 2008 06:37:49 George Dominguez wrote:
> I tested and it works fine for me with gcalctool 5.22.3.
> (1000+1000+1000+1000+1000+1000=6000)
>
> On Sun, 2008-09-28 at 13:54 +0000, deetee wrote:
> > is it still in hardy-updates?
> > i'm seeing 5.22.3 - is it meant to be 5.23.5?
> > if i've got the right version. i've perhaps got another bug to report
> > (1000+1000+1000+1000+1000+1000=60!)

It did not work. Here is a screen print as requested

Pedro Villavicencio (pedro) wrote :

George deetee this is not the same please stop commenting here, open a new bug rather if you want to, thanks.

Changed in gcalctool:
importance: Unknown → High
Changed in gcalctool:
status: Confirmed → Incomplete
Changed in gcalctool:
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.